tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lionel Farbos <lionel.far...@free.fr>
Subject Re: tomcat 5.0.25 question
Date Thu, 24 Mar 2005 11:42:30 GMT
Eric,

If you can, rather than upgrading the only jdk in development,
I suggest you upgrading the tomcat version too (->5.5)

Some arguments :
- Tomcat 5.5 is natively implemented for jdk1.5
- Tomcat 5.0 has no maintainer (so Tomcat 5.0.30 is always in beta because nobody can vote
for it...); 
  all the developpers work on Tomcat5.5
- Tomcat 5.5 is more performant than Tomcat 5.0.

Cheers,
and good tests.

On Wed, 23 Mar 2005 14:33:29 -0800
"Eric Moreo" <eric.moreo@Artcenter.edu> wrote:

> David and Lionel,
> 
> Thank you both for your input. I think I am going to experiment with
> upgrading to jdk 1.5 in development to see how it works.  I'll post my
> results just in case anyone else ever has this issue.
> 
> Eric 
> 
> -----Original Message-----
> From: David Smith [mailto:dns4@cornell.edu] 
> Sent: Wednesday, March 23, 2005 11:25 AM
> To: Tomcat Users List
> Subject: Re: tomcat 5.0.25 question
> 
> I have it working here on Tomcat 5.0.x, JDK 5, WinXP -- no problems to 
> note so far and I installed it from a binary download.
> 
> The only gotcha that I know about is you can't build for JDK 5 and then 
> use it on JDK 1.4.x
> 
> --David
> 
> Lionel Farbos wrote:
> 
> >I don't know where you can find more details ...
> >but Tomcat 5.0.x is built for jdk1.4
> >
> >So, I don't think you can use jdk1.5 with it...
> >
> >On Wed, 23 Mar 2005 09:32:28 -0800
> >"Eric Moreo" <eric.moreo@Artcenter.edu> wrote:
> >
> >  
> >
> >>Hello,
> >> 
> >>Last year I downloaded the Tomcat 5.0.25 binary for Solaris and
> >>installed it with java sdk 1.4.2.  I now want to upgrade to the java
> sdk
> >>1.5 but I don't want to upgrade Tomcat yet.  I am trying to determine
> if
> >>this upgrade will affect my version of Tomcat.  One piece of
> information
> >>that I cannot find on the Tomcat website is information about how the
> >>Tomcat binaries were built.  Specifically, was it compiled using the
> >>java compiler from sdk 1.4, 1.5 or some other version of the sdk?  If
> my
> >>version of Tomcat was built with javac from the java sdk 1.5 then I
> know
> >>my upgrade should go smoothly.  If anyone knows where I can find the
> >>details of how the Tomcat binaries were built it would be greatly
> >>appreciated.
> >> 
> >>Thanks,
> >> 
> >>Eric Moreo
> >>Web Developer
> >>Art Center College of Design
> >>x2392
> >>eric.moreo@artcenter.edu
> >> 
> >> 
> >>
> >>    
> >>
> >
> >---------------------------------------------------------------------
> >To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
> >For additional commands, e-mail: tomcat-user-help@jakarta.apache.org
> >
> >  
> >
> 
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: tomcat-user-help@jakarta.apache.org
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: tomcat-user-help@jakarta.apache.org
> 
> 

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org


Mime
View raw message